---
lang: en
title: 'API docs: socketio.socketiocontrollerfactory._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiocontrollerfactory._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoControllerFactory](./socketio.socketiocontrollerfactory.md) &gt; [(constructor)](./socketio.socketiocontrollerfactory._constructor_.md)

## SocketIoControllerFactory.(constructor)

Constructs a new instance of the `SocketIoControllerFactory` class

**Signature:**

```typescript
constructor(parentCtx: Context, controllerClass: Constructor<object>, socket: Socket);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  parentCtx | [Context](./context.context.md) |  |
|  controllerClass | [Constructor](./context.constructor.md)<!-- -->&lt;object&gt; |  |
|  socket | Socket |  |


